summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorDaniel Friesel <derf@finalrewind.org>2011-12-25 22:08:59 +0100
committerDaniel Friesel <derf@finalrewind.org>2011-12-25 22:08:59 +0100
commitfa602f8a261c0952ce09821fc83563169ec7d564 (patch)
tree99b86b0cac60668cdb54e5ec2e90f92dbfac3bfc
parente21f97db329b9ef7b95fa50c25a17119c687070b (diff)
Add wiiplay-mpd
-rwxr-xr-xwiiplay-mpd23
1 files changed, 23 insertions, 0 deletions
diff --git a/wiiplay-mpd b/wiiplay-mpd
new file mode 100755
index 0000000..b043d67
--- /dev/null
+++ b/wiiplay-mpd
@@ -0,0 +1,23 @@
+#!/bin/sh
+## Copyright © 2011 by Daniel Friesel <derf@finalrewind.org>
+## License: WTFPL:
+## 0. You just DO WHAT THE FUCK YOU WANT TO.
+
+if [ ! -r /tmp/mpdw.fifo ]
+then
+ cat >&2 <<EOF
+/tmp/mpdw.fifo not found
+Add the following lines to your mpd.conf:
+
+audio_output {
+ type "fifo"
+ name "Wiimote"
+ path "/tmp/mpdw.fifo"
+ format "2000:16:1"
+}
+EOF
+ exit 1
+fi
+
+sox -b 16 -e signed -r 2000 -t raw /tmp/mpdw.fifo -b 8 -t raw /dev/stdout | \
+./wiispkr "$@" 2> /dev/null